%def_with sys_pccts
%def_with sys_cdrtools
%def_enable xdao

%define cvsdate 20020925
%undefine cvsdate

Name: cdrdao
Version: 1.1.9
%define release alt0.7

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: Cdrdao - Write audio CD-Rs in disk-at-once mode
Group: Archiving/Cd burning
License: GPL
Url: http://cdrdao.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef cvsdate
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
%else
Source: %name-%version-%cvsdate.tar.bz2
%endif

Source1: %name.control
Patch: %name-1.1.9-alt-autotools.patch
Patch1: cdrdao-1.1.8-sf-gtkmm24.patch
#Patch2: %name-1.1.8-alt-xdao_menu.patch
Patch2: %name-1.1.9-alt-locale.patch

PreReq: control

# Automatically added by buildreq on Wed Jun 09 2004
BuildRequires: cdrtools-devel gcc-c++ liblame-devel libstdc++-devel pccts-devel libpopt-devel

%if_enabled xdao
BuildRequires: ORBit2-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgconfmm2-devel libglade2-devel libglademm-devel libglibmm-devel libgnome-devel libgnome-keyring libgnome-vfsmm-devel libgnomecanvas-devel libgnomecanvasmm-devel libgnomemm2-devel libgnomeui-devel libgnomeuimm-devel libgtk+2-devel libgtkmm2-devel libpango-devel libsigc++2.0-devel libxml2-devel pkgconfig
%endif

%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing
control over pre-gaps (length down to 0, nonzero audio data)
and sub-channel information like ISRC codes. All data that
is written to the disc must be specified with a text file.
Audio data may be in WAVE or raw format.

%package -n gcdmaster
Summary: Graphical front end to cdrdao for composing audio CDs
Group: Archiving/Cd burning
Requires: %name = %version-%release

%description -n gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and
can control the recording process. Its main application is
the composition of audio CDs from one or more audio files.
It supports PQ-channel editing, entry of meta data like
ISRC codes/CD-TEXT and non destructive cut of the audio data.

%prep

%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name-%version-%cvsdate
%endif
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%ifdef cvsdate
find -type d -name CVS -print0 | xargs -r0 %__rm -rf --
%define __autoconf autoconf_2.5
%__subst 's@autoconf@%__autoconf@' autogen.sh
./autogen.sh
%endif

%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

%configure \
%if_with sys_pccts
	--with-pcctsbin=%_bindir \
	--with-pcctsinc=%_includedir/pccts \
%endif
%if_with sys_cdrtools
	--with-scglib-inc=%_includedir/schily \
	--with-scglib-lib=%_libdir \
%endif
	%{subst_enable xdao}

%make_build

%install
%makeinstall

# Creating menu for gcdmaster 
%__cat <<__MENU__ >gcdmaster.menu
?package(%name): needs="X11" section="Applications/%group" title="gCDmaster" \
longtitle="Cdrdao frontend" command="%_bindir/gcdmaster" \
icon="gcdmaster.png"
__MENU__

%__install -pD -m644 gcdmaster.menu %buildroot%_menudir/gcdmaster
%__install -pD -m644 xdao/stock/gcdmaster.png %buildroot%_datadir/pixmaps/gcdmaster.png

%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT/etc/control.d/facilities/%name
chmod 700 $RPM_BUILD_ROOT%_bindir/%name

%pre
[ $1 -eq 1 ] || /usr/sbin/control-dump %name

%post
[ $1 -eq 1 ] || /usr/sbin/control-restore %name

%post -n gcdmaster
%update_menus

%postun -n gcdmaster
%clean_menus

%files
%config /etc/control.d/facilities/%name
%_bindir/*
%exclude %_bindir/gcdmaster
%_datadir/%name
%_man1dir/*
%exclude %_man1dir/gcdmaster*
%doc README CREDITS ChangeLog NEWS

%if_enabled xdao
%files -n gcdmaster
%_bindir/gcdmaster
%_datadir/applications/*
%_datadir/pixmaps/*
%_man1dir/gcdmaster*
%_menudir/gcdmaster
%endif

%changelog
* Wed Jun 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.9-alt0.7
- new version.
- fix to build with new gtkmm2-2.4.1
- FIXME: Use "C" locale to temporaly fix #3906 with menu.

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt0.5
- new version.

* Tue May 20 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt0.6
- added control support

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt0.5
- 1.1.7 without gcdmaster (it requires old gnome).

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt0.5cvs20020925
- built lastest cvs snapshot with gcc-3.2
- updated buildrequires.

* Thu Jan 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- First build for Sisyphus
